/* Estilos CSS para el diseño del panel de gestión */

/* Configuración general del cuerpo de la página */
@font-face {
    font-family: 'Prometo';
    src: url('../fuentes/Prometo.ttf') format('truetype');
}

body {
    font-family: 'Prometo';
    text-align: center;
    font-size: 200%;
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    overflow-x: hidden;
    overflow-y: hidden;
}

.cabecera {
    height: 10%;
    width: 100%;
    display: flex;
}

.cuerpo {
    height: 89%;
    width: 100%;
    display: inline-flex;
    overflow-x: hidden;
    overflow-y: auto;
    margin-bottom: 1%;
}

/* Estilos para el encabezado principal */
.titulo {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #414997;
    width: 95%;
    font-size: 200%
}


.website-logo {
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    margin: 1%;
    width: 4%;
}

/* Contenedor principal de los enlaces a los sitios web */
.website-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 0px;
    margin-left: auto;
    margin-right: auto;
    width: 95%;

}

/* Estilos para cada enlace a un sitio web */
.website-link {
    margin: 20px;
    margin-bottom: 0px;
    transition: transform 0.3s ease;
    text-decoration: none;
    color: #414997;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 275px;
    height: 250px;

}
.cuadrolink{
    text-decoration: none;
}
.tablon{
    height: 85%;
    width: 100%;
    margin-bottom: 5%;
    border: 1px solid black;
    border-radius: 10px;
    box-shadow: 7px 7px 20px black
}
/* Efecto de aumento de escala al pasar el cursor sobre un enlace */
.tablon:hover {
    transform: scale(1.05);
}

/* Estilos para la imagen de cada enlace */
.website-link img {
    width: auto;
    height: 90%;
}

/* Estilos para el texto debajo de la imagen de cada enlace */
.website-text {
    font-size: 45px;
    font-family: 'Prometo';
    line-height: 1.2;
    text-decoration: none;
    color: #414997;
    height: 60%;
    padding: 1%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Estilos para el segundo enlace (descripción) debajo del texto principal */
.second-link {
    height: 10%;
    font-size: 15px;
    text-decoration: none;
    color: #f2f2f2;
    background-color: #414997;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}
.second-link:hover {
    background-color: #41496F;
    transform: scale(1.1);
}
.imglogo{
    height: 40%;
    width: 100%;
}

@media screen and (max-width: 900px) {
    .cabecera {
        height: 10%;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .cuerpo {
        height: 89%;
        width: 100%;
        display: inline-flex;
        overflow-x: hidden;
        overflow-y: auto;
        margin-bottom: 1%
    }

    .website-logo {
        height: 35%;
        width: 100%;
    }

    .titulo {
        display: flex;
        justify-content: center;
        align-items: center;
        color: #414997;
        width: 95%;
        font-size: 100%;
    }

}